fitur_login/urls.py
from django.conf.urls import url
from .views import masuk_login,index
from .custom_auth import auth_login, auth_logout
#url for app
urlpatterns = [
    url(r'^$', masuk_login, name='masuk_login'),
    url(r'^custom_auth/login/$', auth_login, name='auth_login'),
    url(r'^index', index, name='index'),
    url(r'^custom_auth/logout/$', auth_logout, name='auth_logout'),
]

fitur_status/urls.py
from django.conf.urls import url
from .views import index, message_post, get_data_session,get_data_user, create_new_user, set_data_for_session

urlpatterns = [
    url(r'^(?P<username>.*)/$', index, name='index'),
    url(r'^message_post,', message_post, name='message_post,'),
    
    
 ]

ppwdihati/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import fitur_profile.urls as profile
import fitur_login.urls as login
import fitur_status.urls as status
import fitur_riwayat.urls as riwayat
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^profile/', include(profile,namespace='profile')),
    url(r'^$', RedirectView.as_view(url='login',permanent=True),name = 'root'),
    url(r'^login/', include(login, namespace='login')),
    url(r'^status/', include(status, namespace='status')),
    url(r'^riwayat/', include(riwayat, namespace='riwayat')),
    url(r'^search/', include('cariMahasiswa.urls', namespace='search')),
]

fitur_status/models.py
from django.db import models
from fitur_profile.models import Pengguna

class MessageKu(models.Model):
    pengguna = models.ForeignKey(Pengguna,on_delete=models.CASCADE)
    message = models.TextField()
    created_date = models.DateTimeField(auto_now_add=True)

fitur_status/forms.py
from django import forms

class Message_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
        'invalid': 'Isi input dengan email',
    }
    attrs = {
        'class': 'form-control'
    }

    message = forms.CharField(widget=forms.Textarea(attrs=attrs), required=True)

fitur_status/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Message_Form
from .models import  MessageKu
from fitur_profile.models import Pengguna, KeahlianKu
from fitur_login.views import index
from django.contrib import messages
from fitur_profile.views import index
from django.urls import reverse
response = {}
def index(request,username):
    if 'user_login' in request.session.keys():
        nama_user = request.session['user_login']
        html = 'fitur_status/update_status.html'
        set_data_for_session(request)
        print(username)
        print(nama_user)
        if username == nama_user:
            try:
                pengguna = Pengguna.objects.get(nama = username)
            except Exception as e:
                pengguna = create_new_user(request)
            response['login'] = True
            response['status_form'] = Message_Form
            response['pengguna'] = True
        else:
            try:
                pengguna = Pengguna.objects.get(nama = username)
                statusnya = MessageKu.objects.filter(pengguna = pengguna).order_by('-id')
                response['status'] = statusnya
                response['message'] = statusnya
                response['pengguna'] = False
                print('username')
            except Exception as e:
                print('nama_user')
                return HttpResponseRedirect('/status/'+ nama_user)
        statusnya = MessageKu.objects.filter(pengguna = pengguna).order_by('-id')
        response['status'] = statusnya
        response['message'] = statusnya    
        return render(request, html, response)
    else:
        response['login'] = False
        return HttpResponseRedirect(reverse('login:index'))
      
def message_post(request):
    form = Message_Form(request.POST or None)
    user_name = request.session['user_login']
    if((request.method == 'POST') and form.is_valid()):
        response['message'] = request.POST['message']
        kode_identitas = request.session['kode_identitas']
        pengguna = Pengguna.objects.get(kode_identitas = kode_identitas)
        status = MessageKu(pengguna = pengguna, message=response['message'])
        status.save()
        message = MessageKu.objects.filter(pengguna = pengguna).order_by('-id')
        response['message'] = message
    return HttpResponseRedirect('/status/'+ user_name)



def get_data_session(request):
    if get_data_user(request, 'user_login'):
        response['author'] = get_data_user(request, 'user_login')

def set_data_for_session(request):
    response['author'] = get_data_user(request, 'user_login')
    response['kode_identitas'] = request.session['kode_identitas']
    response['role'] = request.session['role']

def get_data_user(request, tipe):
    data = None
    if tipe == "user_login" and 'user_login' in request.session:
        data = request.session['user_login']
    elif tipe == "kode_identitas" and 'kode_identitas' in request.session:
        data = request.session['kode_identitas']

    return data

def create_new_user(request):
    nama = get_data_user(request, 'user_login')
    kode_identitas = get_data_user(request, 'kode_identitas')

    pengguna = Pengguna()
    pengguna.kode_identitas = kode_identitas
    pengguna.nama = nama
    pengguna.save()

    return pengguna

fitur_status/templates/fitur_status/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="author" content="{{author}}">

    <!-- bootstrap csss -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" rel="stylesheet">
    <style>
        .rata-tengah {
            text-align: center;
            margin : 20px;
        }
        .judul {
            text-transform:uppercase;
            margin-bottom: 50px;
            margin-top: 50px;
        }
        .navbar-login
        {
            width: 305px;
            padding: 10px;
            padding-bottom: 0px;
        }

        .navbar-login-session
        {
            padding: 10px;
            padding-bottom: 0px;
            padding-top: 0px;
        }

        .icon-size
        {
            font-size: 87px;
        }
    </style>
    <title>
        {% block title %} STATUS{% endblock %}
    </title>
</head>
	<header>
    <div class="navbar navbar-inverse navbar-fixed-top" role="navigation" >
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span> 
            </button>
            <a class="navbar-brand">SiapaKamu?</a>
        </div>
        <div class="collapse navbar-collapse">
            
            {% if login %}
            <ul class="nav navbar-nav navbar-right">
                <a href="{% url 'login:auth_logout' %}" class="btn btn-danger btn-block" onclick="return confirm('Keluar?')">Logout</a>
            </ul>
            
            
            {% endif %}
            <ul class="nav navbar-nav">    
             </ul>
        </div>
    </div>
</header>
	    <content>
			<div class="container">
                {% block content %}
                    <!-- content goes here -->
                {% endblock %}
            </div>
	    </content>
		<footer>
			<hr>
			<div class="text-center">
			<p>&copy; Copyright 2017</p>
			</div>
		</footer>
	</body>
</html>